Subject: A tiny program to help md5sum all debian packages

From: Amos Shapira <[email-masked]>
Date: Tue, 10 Sep 1996 17:28:47 +0300

Hello,

Attached below is a tiny awk(1) program which will extract the md5sum
information of all the packages listed in a Packages file.  The output
is in a format fit for "md5sum -c".

I cound't find such a functionality in any of the Debian package
manuals so I hope this helps others.

(it found least 5 corrupted files in my local mirror of buzz-fixed,
I'm re-copying these files to see if the problem is local to my copy).

Cheers,

--Amos

--Amos Shapira                  | "Of course Australia was marked for
                                |  glory, for its people had been chosen
[email-masked]                  |  by the finest judges in England."
                                |                         -- Anonymous
----------------------------------------------------------------------
#!/usr/bin/awk -f
$1 == "filename:" {
    file = $2
}
$1 == "md5sum:" {
    md5sum = $2
}
NF == 0 {
    print md5sum, "", file;
    md5sum = "";
    file = "";
}
----------------------------------------------------------------------